zxJDBC (Jython API documentation)
Date: 2022-09-10

com.ziclix.python.sql

## Class zxJDBC

- java.lang.Object
- - org.python.core.PyObject
  - - com.ziclix.python.sql.zxJDBC

- All Implemented Interfaces:
    java.io.Serializable, ClassDictInit

      public class zxJDBC
      extends PyObject
      implements ClassDictInit

  Creates database connections.

       from com.ziclix.python.sql import zxJDBC
       db = zxJDBC.connect("jdbc:mysql://localhost:3306/MySql", None, None, "org.gjt.mm.mysql.Driver")

  Author:
    brian zimmer
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.python.core.PyObject

      `PyObject.ConversionException`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PyObject` | `DatabaseError` Field DatabaseError
    `static PyObject` | `DataError` Field DataError
    `static DateFactory` | `datefactory` Instance used to create date-like objects as per the API
    `static PyObject` | `Error` Field Error
    `static PyObject` | `IntegrityError` Field IntegrityError
    `static PyObject` | `InterfaceError` Field InterfaceError
    `static PyObject` | `InternalError` Field InternalError
    `static PyObject` | `NotSupportedError` Field NotSupportedError
    `static PyObject` | `OperationalError` Field OperationalError
    `static PyObject` | `ProgrammingError` Field ProgrammingError
    `static PyObject` | `Warning` Field Warning

    - ### Fields inherited from class org.python.core.PyObject

      `gcMonitorGlobal, TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `zxJDBC()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `classDictInit(PyObject dict)` Initializes the module.
    `static java.lang.String` | `getString(java.lang.String key)` Return the string associated with the key for the default resource bundle.
    `static java.lang.String` | `getString(java.lang.String key, java.lang.Object[] values)` Return a formatted string.
    `static PyException` | `makeException(PyObject type, java.lang.String msg)` Return a newly instantiated PyException of the given type.
    `static PyException` | `makeException(PyObject type, java.lang.Throwable t)` Return a newly instantiated PyException of the given type.
    `static PyException` | `makeException(PyObject type, java.lang.Throwable t, int rowIndex)` Return a newly instantiated PyException of the given type.
    `static PyException` | `makeException(java.lang.String msg)` Return a newly instantiated PyException of the type Error.
    `static PyException` | `makeException(java.lang.Throwable throwable)` Return a newly instantiated PyException of the type Error.

    - ### Methods inherited from class org.python.core.PyObject

      `__abs__, __add__, __and__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __call__, __cmp__, __coerce__, __coerce_ex__, __complex__, __contains__, __delattr__, __delattr__, __delete__, __delitem__, __delitem__, __delslice__, __delslice__, __dir__, __div__, __divmod__, __ensure_finalizer__, __eq__, __findattr__, __findattr__, __findattr_ex__, __finditem__, __finditem__, __finditem__, __float__, __floordiv__, __format__, __ge__, __get__, __getattr__, __getattr__, __getitem__, __getitem__, __getnewargs__, __getslice__, __getslice__, __gt__, __hash__, __hex__, __iadd__, __iand__, __idiv__, __idivmod__, __ifloordiv__, __ilshift__, __imod__, __imul__, __index__, __int__, __invert__, __ior__, __ipow__, __irshift__, __isub__, __iter__, __iternext__, __itruediv__, __ixor__, __le__, __len__, __long__, __lshift__, __lt__, __mod__, __mul__, __ne__, __neg__, __nonzero__, __not__, __oct__, __or__, __pos__, __pow__, __pow__, __radd__, __rand__, __rdiv__, __rdivmod__, __reduce__, __reduce_ex__, __reduce_ex__, __repr__, __rfloordiv__, __rlshift__, __rmod__, __rmul__, __ror__, __rpow__, __rrshift__, __rshift__, __rsub__, __rtruediv__, __rxor__, __set__, __setattr__, __setattr__, __setitem__, __setitem__, __setitem__, __setslice__, __setslice__, __str__, __sub__, __tojava__, __truediv__, __trunc__, __unicode__, __xor__, _add, _and, _callextra, _cmp, _div, _divmod, _doget, _doget, _doset, _eq, _floordiv, _ge, _gt, _iadd, _iand, _idiv, _idivmod, _ifloordiv, _ilshift, _imod, _imul, _in, _ior, _ipow, _irshift, _is, _isnot, _isub, _itruediv, _ixor, _jcall, _jcallexc, _jthrow, _le, _lshift, _lt, _mod, _mul, _ne, _notin, _or, _pow, _rshift, _sub, _truediv, _xor, asDouble, asIndex, asIndex, asInt, asInt, asIterable, asLong, asLong, asName, asName, asString, asString, asStringOrNull, asStringOrNull, bit_length, conjugate, delDict, delType, dispatch__init__, equals, fastGetClass, fastGetDict, getDict, getType, hashCode, implementsDescrDelete, implementsDescrGet, implementsDescrSet, invoke, invoke, invoke, invoke, invoke, invoke, isCallable, isDataDescr, isIndex, isInteger, isMappingType, isNumberType, isSequenceType, noAttributeError, object___subclasshook__, readonlyAttributeError, setDict, setType, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### Error

          public static PyObject Error

      Field Error

    - #### Warning

          public static PyObject Warning

      Field Warning

    - #### InterfaceError

          public static PyObject InterfaceError

      Field InterfaceError

    - #### DatabaseError

          public static PyObject DatabaseError

      Field DatabaseError

    - #### InternalError

          public static PyObject InternalError

      Field InternalError

    - #### OperationalError

          public static PyObject OperationalError

      Field OperationalError

    - #### ProgrammingError

          public static PyObject ProgrammingError

      Field ProgrammingError

    - #### IntegrityError

          public static PyObject IntegrityError

      Field IntegrityError

    - #### DataError

          public static PyObject DataError

      Field DataError

    - #### NotSupportedError

          public static PyObject NotSupportedError

      Field NotSupportedError

    - #### datefactory

          public static DateFactory datefactory

      Instance used to create date-like objects as per the API

  - ### Constructor Detail

    - #### zxJDBC

          public zxJDBC()

  - ### Method Detail

    - #### classDictInit

          public static void classDictInit(PyObject dict)

      Initializes the module.
      Parameters:
        `dict` -

    - #### getString

          public static java.lang.String getString(java.lang.String key)

      Return the string associated with the key for the default resource bundle. It first checks for 'key.N' where N starts at 0 and increments by one. If any indexed key is found, the results of all the indexed values are concatenated with the line separator. If no indexed key is found, it defaults to checking the bundle by the key value alone.
      Parameters:
        `key` -
      Returns:
        String

    - #### getString

          public static java.lang.String getString(java.lang.String key,
                                                   java.lang.Object[] values)

      Return a formatted string. The key is used to get the format and the values are passed, along with the format, to a MessageFormat who formats it appropriately.
      Parameters:
        `key` -
        `values` -
      Returns:
        String

    - #### makeException

          public static PyException makeException(java.lang.String msg)

      Return a newly instantiated PyException of the type Error.
      Parameters:
        `msg` -
      Returns:
        PyException

    - #### makeException

          public static PyException makeException(PyObject type,
                                                  java.lang.String msg)

      Return a newly instantiated PyException of the given type.
      Parameters:
        `type` -
        `msg` -
      Returns:
        PyException

    - #### makeException

          public static PyException makeException(java.lang.Throwable throwable)

      Return a newly instantiated PyException of the type Error.
      Parameters:
        `throwable` -
      Returns:
        PyException

    - #### makeException

          public static PyException makeException(PyObject type,
                                                  java.lang.Throwable t)

      Return a newly instantiated PyException of the given type.
      Parameters:
        `type` -
        `t` -
      Returns:
        PyException

    - #### makeException

          public static PyException makeException(PyObject type,
                                                  java.lang.Throwable t,
                                                  int rowIndex)

      Return a newly instantiated PyException of the given type.
      Parameters:
        `type` -
        `t` -
        `rowIndex` - Row index where the error has happened. Useful for diagnosing.
      Returns:
        PyException

Jython homepage